Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model
Class ComponentList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList
                  net.fortuna.ical4j.model.ComponentList

All Implemented Interfaces:
  Serializable, Cloneable, Iterable, Collection, List, RandomAccess

    public class ComponentList

extends ArrayList
implements Serializable

Defines a list of iCalendar components.

Author:
  Ben Fortuna
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`ComponentList()` Default constructor.
`ComponentList(int initialCapacity)` Creates a new instance with the specified initial capacity.

Method Summary
`boolean` | `add(Component component)` Add a component to the list.
`boolean` | `add(Object arg0)` Overrides superclass to throw an `IllegalArgumentException` where argument is not a `net.fortuna.ical4j.model.Component`.
`Component` | `getComponent(String aName)` Returns the first component of specified name.
`ComponentList` | `getComponents(String name)` Returns a list containing all components with specified name.
`boolean` | `remove(Component component)` Remove a component from the list.
`String` | `toString()`

Methods inherited from class java.util.ArrayList
`add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### ComponentList

    public ComponentList()

  Default constructor.

### ComponentList

    public ComponentList(int initialCapacity)

  Creates a new instance with the specified initial capacity.

  Parameters:
    `initialCapacity` - the initial capacity of the list

Method Detail

### toString

    public final String toString()

  Overrides:
    `toString` in class `AbstractCollection`
  See Also:
    `AbstractCollection.toString()`

### getComponent

    public final Component getComponent(String aName)

  Returns the first component of specified name.

  Parameters:
    `aName` - name of component to return
  Returns:
    a component or null if no matching component found

### getComponents

    public final ComponentList getComponents(String name)

  Returns a list containing all components with specified name.

  Parameters:
    `name` - name of components to return
  Returns:
    a list of components with the matching name

### add

    public final boolean add(Component component)

  Add a component to the list.

  Parameters:
    `component` - the component to add
  Returns:
    true
  See Also:
    `List#add(java.lang.Object)`

### add

    public final boolean add(Object arg0)

  Overrides superclass to throw an `IllegalArgumentException` where argument is not a `net.fortuna.ical4j.model.Component`.

  Specified by:
    `add` in interface `Collection`
  Specified by:
    `add` in interface `List`
  Overrides:
    `add` in class `ArrayList`
  See Also:
    `List#add(E)`

### remove

    public final boolean remove(Component component)

  Remove a component from the list.

  Parameters:
    `component` - the component to remove
  Returns:
    true if the list contained the specified component
  See Also:
    `List#remove(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.